# Asylum

A curated selection of mods to create a balanced yet challenging Valheim adventure while removing some of the pain points of vanilla Valheim.
This should provide an enhanced experience for your journey through the world of Asylum.

### Jewelcrafting
- This also includes the world boss and celestial trader.
- Craft yourself a Gem Bag at the workbench, you will need it.
- Harvest gems in the wild or from mob drops
- Build a Gem table to refine them.
- Refined gems can be socketed and unsocketed at will, but you need to be at a table.
- Rings, and necklaces
- World boss.
- This gets pretty wild... 

### Adventure Backpacks 
- Many different types, craft them at the workshop and forge
- They reduce the weight of whats in them and they offer extra slots.  Upgrade them for even more bonus.
- They have their own perks
- They can also be socketed - just about everything can.

### New Skills
- Farming 
- Foraging
- Building
- Evasion
- Sailing
- Ranching
- Mining
- Lumberjacking
- Groups: type /invite playername to create a group

### Combat Improvements
- No unarmed combat. It's just in the way.
- Duel Wield 1h weapons, swords, axes, knives, clubs, not spears.
- Combat improvements to calculations for all weapons, bows are no longer the only great weapon.
- Bow zoom and improved accuracy 
- Parry is shorter, but there are gems to increase the window for it.
- Shields are much better.
- Stamina is more forgiving, you can pull off moves at the last second with almost no stamina now.

### Swimming
- You can dive underwater and tread water
- You automatically re-equip your gear when you leave the water.

### Death Changes:
- No level loss on death - you will only lose all progress towards your next level.
- You will wake up naked after you die, but keep your food in your belly.

### Building
- Craft from containers
- Drawbridges
- New gates
- New edge case pieces for the little missing parts not in the base game.
- A piece of chain for making cool hanging stuff.
- Global grid alignment to help connecting constructions that are far away from each other. 
  Toggle global grid on and off with CapsLock.
- Undo accidental middle click destruction of a thing: Ctrl+Z
- Gizmo: rotate pieces on any axis and have finer grain of precision (you can make slopes and curves)
	- Mouse wheel = axis 1
	- Ctrl + Mouse wheel = axis 2
	- Shift + Mouse wheel = axis 3
	- Press Z to revert all rotations back to zero. (reset)
	- Press C when pointing at another object to match the rotation of the target object.
	- Press V to reset just the axis you are holding the button down for back to 0.

- Pressure Plates automate doors and bridges.
- Item Hopper feed items into machines from chests and collect the outputs into chests. 

### QoL:

Quick Stack
- Easily unload your inventory when you return home after a long journey by pressing the Q button in your inventory.

First person view
- Mouse wheel scroll to first person.

Pull items to inventory
- This will pull the inventory materials to you when you go to build something instead of needing to build and then destroy it.  Need 2 of a thing? click twice.  Hold ctrl when you left mouse click to build and it will put the mats in your inventory instead.

Recipe Index
- View every item you have ever discovered, plus a handy index of the materials needed to make it.  Look up any item in the index by just pressing R while pointing at the item in your inventory.

Chest contents tooltips
- See a summary of objects in a chest on mouse over.

Fences snap
- Weird that they didn't snap together in vanilla. This fixes that.

Trash UI.  
- Pickup an item in your inventory and a the tab on the right of your inventory changes to a Trash icon.  Careful, no undo.

Improved chat UI
- Chat no longer is ALL CAPS.  Also, you no longer need to type /s to shout.  Global shout is now the default.

Fast Link
- On title screen top right corner, Fast Link to connect to the server.  You can edit a file to save the password so that you do not have to enter the password each time. Contact me for instructions on how to do it.

Torches
- They stay lit except wooden torches go off in the daytime and restart at night. Probably a few others, I didn't configure them all.

Map
- Improved map pins that have their icons edited or renamed now.
- View a list of map pins when pressing tab while map screen is open.
- Optional HD map pack that shows the map with better graphics.  It's not available online anymore so contact me to get the pack for manual installation.

Many under the hood performance improvements. 

... and more to come!

## Thanks!

A huge thanks to everyone in the modding scene for making all of this possible. 
A huge shout out of gratitude to the OdinPlus team and everyone else who patiently answered my questions along the way! 

- Azumatt
- blaxxun
- Vapok
- Golden
- GraveBear
- Pungus
- NintendoFingers

...and so many more!


  
